module CcbConnectClient
  
  class BaseResponse

    attr_accessor :request_sn, :return_code, :return_msg, :successful

    def self.from_xml xml

      response = BaseResponse.new
      doc = Document.new(xml)

      response.request_sn = doc.elements["TX/REQUEST_SN"].text
      response.return_code = doc.elements["TX/RETURN_CODE"].text
      response.return_msg = doc.elements["TX/RETURN_MSG"].text

      if CcbConnectClient.debug_mode && CcbConnectClient.logger
        CcbConnectClient.logger.debug("BaseResponse response : #{response.inspect}")
      end
      response
    end
  end
end
