require 'builder'

module CcbConnectClient

  class PaymentDetailsQueryRequest < BaseRequest
    attr_accessor :order, :start_day, :start_hour, :start_min, :end_day, :end_hour, :end_min, :kind,
                  :account, :dexcel, :money, :norderby, :page, :pos_code, :status, :mrch_no

    def initialize
      super
      @tx_code = '5W1002'
    end

    def to_xml
      xml = Builder::XmlMarkup.new(:indent=>2)
      xml.instruct! :xml, :version=>"1.0", :encoding=>"GB2312"
      xml.TX{
        xml.REQUEST_SN "#{@request_sn}"
        xml.CUST_ID "#{CcbConnectClient.cust_id}"
        xml.USER_ID"#{CcbConnectClient.user_id}"
        xml.PASSWORD "#{CcbConnectClient.password}"
        xml.TX_CODE "#{@tx_code}"
        xml.LANGUAGE "#{CcbConnectClient.language}"
        xml.TX_INFO{
          xml.START "#{@start_day}"
          xml.STARTHOUR "#{@start_hour}"
          xml.STARTMIN "#{@start_min}"
          xml.END "#{@end_day}"
          xml.ENDHOUR "#{@end_hour}"
          xml.ENDMIN "#{@end_min}"
          xml.KIND "#{@kind}"
          xml.ORDER "#{@order}"
          xml.ACCOUNT "#{@account}"
          xml.DEXCEL "#{@dexcel}"
          xml.MONEY "#{@money}"
          xml.NORDERBY "#{@norderby}"
          xml.PAGE "#{@page}"
          xml.POS_CODE "#{@pos_code}"
          xml.STATUS "#{@status}"
          xml.Mrch_No "#{@mrch_no}"
        }
      }
      target = xml.target!
    end
  end
end
