require 'builder'

module CcbConnectClient

  class RefundRequest < BaseRequest 
    attr_accessor :money, :order, :refund_code, :sign_info

    def initialize
      super
      @tx_code = '5W1004'
    end

    def to_xml
      xml = Builder::XmlMarkup.new(:indent=>2)
      xml.instruct! :xml, :version=>"1.0", :encoding=>"GB2312"
      xml.TX{
        xml.REQUEST_SN "#{@request_sn}"
        xml.CUST_ID "#{CcbConnectClient.cust_id}"
        xml.USER_ID"#{CcbConnectClient.user_id}"
        xml.PASSWORD "#{CcbConnectClient.password}"
        xml.TX_CODE "#{@tx_code}"
        xml.LANGUAGE "#{CcbConnectClient.language}"
        xml.TX_INFO{
          xml.MONEY "#{@money}"
          xml.ORDER "#{@order}"
          xml.REFUND_CODE "#{@refund_code}"
        }
        xml.SIGN_INFO "#{@sign_info}"
      }
      target = xml.target!
    end
  end
end
